Not the answer you need?
Register and ask your own question!

How to upgrade XtraBackup from 2.4 to 8.0 ?

makafremakafre EntrantCurrent User Role Participant
Hello all,

I am using CentOS 6.7 / XtraDB 5.7 / XtraBackup 2.4 and was wondering how to go an upgrade to XtraBackup 8.0 ;


It was initially installed using yum as in here:




But, if I go ahead and perform the following yum update it only wants to upgrade to 2.4.18-1.el6 :




If I try to install 8.0 directly, I get a conflict:




Now I believe the only way would be to remove 2.4 but if I try to do so, it wants to remove the XtraDB-Cluster package as well:

yum remove percona-xtrabackup-24.x86_64
.....
Removing:
percona-xtrabackup-24
Removing for dependencies:
Percona-XtraDB-Cluster-57
Percona-XtraDB-Cluster-server-57


I read that removing a package without the dependencies is not advisable, so I am wondering what are my options?

Should I just create a new dedicated VM and install 8.0 on it and perform the backups from there? Is this advisable?

Thank you !

Comments

  • George LorchGeorge Lorch Percona Percona Moderator Role
    XtraBackup 8.0 is only compatible with Percona Server or MySQL 8.0. If you are using 5.7, you should be using the XtraBackup 2.4 series. They have the same equivalent features.

    --
    George O. Lorch III
    Director of Server Development, Percona Server
  • makafremakafre Entrant Current User Role Participant
    Excellent ! thank you very much George.
Sign In or Register to comment.

MySQL, InnoDB, MariaDB and MongoDB are trademarks of their respective owners.
Copyright ©2005 - 2020 Percona LLC. All rights reserved.